#! /usr/bin/env nix-shell
#! nix-shell -i python3 -p python3 python3Packages.plexapi

from plexapi.server import PlexServer

baseurl = "http://server:32400"
token = "HYWgot9AsfbqGEvHCQrW"
plex = PlexServer(baseurl, token)

for movie in plex.library.section("Movies").all():
    print(f"Analyzing {movie.title}")
    movie.analyze()
    print(f"  '{movie.title}' analyzed successfully.")

for show in plex.library.section("TV Shows").all():
    print(f"Processing show: {show.title}")
    for season in show.seasons():
        print(f"  Analyzing season: {season.title}")
        season.analyze()
        print(f"    Season '{season.title}' analyzed successfully.")
